package org.springblade.modules.project.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springblade.modules.project.pojo.entity.ProjectPlanProgress;
import org.springblade.modules.project.pojo.vo.ProjectPlanProgressVO;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:45
 **/
@Data
@Schema(description = "年计划和每月详情")
public class ProjectInvestPlanDTO {
    @Schema(description = "年计划id")
    private Long id;

    @Schema(description = "项目id")
    private Long projectId;

    @Schema(description = "计划年份")
    private Integer planYear;

    @Schema(description = "全年投资")
    private BigDecimal yearlyInvest;

    @Schema(description = "全年目标")
    private String yearlyTarget;

    @Schema(description = "是否有计划")
    private Integer isPlan;

    @Schema(description = "是否填写计划")
    private Integer isFillPlan;

    @Schema(description = "一季度投资")
    private BigDecimal oneInvest;

    @Schema(description = "二季度投资")
    private BigDecimal twoInvest;

    @Schema(description = "三季度投资")
    private BigDecimal threeInvest;

    @Schema(description = "四季度投资")
    private BigDecimal fourInvest;

    @Schema(description = "一季度计划")
    private String onePlan;

    @Schema(description = "二季度计划")
    private String twoPlan;

    @Schema(description = "三季度计划")
    private String threePlan;

    @Schema(description = "四季度计划")
    private String fourPlan;

    @Schema(description = "该年累计完成投资")
    private BigDecimal yearFinishInvest;

    @Schema(description = "该年累计未完成投资")
    private BigDecimal yearUnfinishedInvest;

    @Schema(description = "存在问题")
    private String questionable;

    @Schema(description = "工作建议")
    private String workAdvise;

    @Schema(description = "填报单位")
    private String writeUnit;

    @Schema(description = "联系人")
    private String linkman;

    @Schema(description = "是否可以填写0否1是")
    private Integer isCanFill;

    @Schema(description = "每月详情")
    private List<ProjectPlanProgress> list;

}
