package org.springblade.modules.project.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:28
 **/

@Data
@TableName("d_project_info")
@EqualsAndHashCode(callSuper = true)
@Schema(description = "项目信息表")
public class ProjectInfo extends BaseEntity {

    @Schema(description = "项目名称")
    private String name;

    @Schema(description = "建设规模")
    private String buildScale;

    @Schema(description = "建设规模单位1公里2空")
    private Integer buildScaleUnit;

    @Schema(description = "项目阶段")
    private Integer projectStage;

    @Schema(description = "项目类型")
    private Integer projectType;

    @Schema(description = "开工年")
    private Integer startYear;

    @Schema(description = "完工年")
    private Integer endYear;

    @Schema(description = "牵头单位")
    private String leaderUnit;

    @Schema(description = "配合单位")
    private String assistUnit;

    @Schema(description = "责任单位")
    private String dutyUnit;

    @Schema(description = "总投资")
    private BigDecimal allInvestMoney;

    @Schema(description = "十四五计划投资")
    private BigDecimal fourteenFiveInvest;

    @Schema(description = "是否重点项目")
    private Integer isFocusProject;

    @Schema(description = "是否试点任务")
    private Integer isPilotPlan;
}
