package org.springblade.modules.project.pojo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 13:54
 **/
@Data
@TableName("d_project_invest_plan")
@EqualsAndHashCode(callSuper = true)
@Schema(description = "项目投资与计划表")
public class ProjectInvestPlan extends BaseEntity {

    @Schema(description = "项目id")
    private Long projectId;

    @Schema(description = "计划年份")
    private Integer planYear;

    @Schema(description = "全年投资")
    private BigDecimal yearlyInvest;

    @Schema(description = "全年目标")
    private String yearlyTarget;

    @Schema(description = "是否有计划")
    private Integer isPlan;

    @Schema(description = "是否填写计划")
    private Integer isFillPlan;

    @Schema(description = "一季度投资")
//    @TableField(fill = FieldFill.INSERT_UPDATE)
    private BigDecimal oneInvest;

    @Schema(description = "一季度已投资")
    private BigDecimal oneInvestFinish;

    @Schema(description = "一季度投资比例")
    private BigDecimal oneInvestRatio;

    @Schema(description = "一季度投资是否填完")
    private Integer isOneInvestFinish;

    @Schema(description = "二季度投资")
//    @TableField(fill = FieldFill.INSERT_UPDATE)
    private BigDecimal twoInvest;

    @Schema(description = "二季度已投资")
    private BigDecimal twoInvestFinish;

    @Schema(description = "二季度投资比例")
    private BigDecimal twoInvestRatio;

    @Schema(description = "二季度累计投资比例")
    private BigDecimal twoAggregateRatio;

    @Schema(description = "二季度投资是否填完")
    private Integer isTwoInvestFinish;

    @Schema(description = "三季度投资")
//    @TableField(fill = FieldFill.INSERT_UPDATE)
    private BigDecimal threeInvest;

    @Schema(description = "三季度已投资")
    private BigDecimal threeInvestFinish;

    @Schema(description = "三季度投资比例")
    private BigDecimal threeInvestRatio;

    @Schema(description = "三季度累计投资比例")
    private BigDecimal threeAggregateRatio;

    @Schema(description = "三季度投资是否填完")
    private Integer isThreeInvestFinish;

    @Schema(description = "四季度投资")
//    @TableField(fill = FieldFill.INSERT_UPDATE)
    private BigDecimal fourInvest;

    @Schema(description = "四季度已投资")
    private BigDecimal fourInvestFinish;

    @Schema(description = "四季度投资比例")
    private BigDecimal fourInvestRatio;

    @Schema(description = "四季度累计投资比例")
    private BigDecimal fourAggregateRatio;

    @Schema(description = "四季度投资是否填完")
    private Integer isFourInvestFinish;

    @Schema(description = "一季度计划")
    private String onePlan;

    @Schema(description = "一季度计划完成比例")
    private BigDecimal onePlanRatio;

    @Schema(description = "一季度计划是否填完")
    private Integer isOnePlanFinish;

    @Schema(description = "二季度计划")
    private String twoPlan;

    @Schema(description = "二季度计划完成比例")
    private BigDecimal twoPlanRatio;

    @Schema(description = "二季度计划是否填完")
    private Integer isTwoPlanFinish;

    @Schema(description = "三季度计划")
    private String threePlan;

    @Schema(description = "三季度计划完成比例")
    private BigDecimal threePlanRatio;

    @Schema(description = "三季度计划是否填完")
    private Integer isThreePlanFinish;

    @Schema(description = "四季度计划")
    private String fourPlan;

    @Schema(description = "四季度计划完成比例")
    private BigDecimal fourPlanRatio;

    @Schema(description = "四季度计划是否填完")
    private Integer isFourPlanFinish;

    @Schema(description = "该年累计完成投资")
    private BigDecimal yearFinishInvest;

    @Schema(description = "该年累计未完成投资")
    private BigDecimal yearUnfinishedInvest;

    @Schema(description = "开工累计完成投资")
    private BigDecimal startFinishInvest;

    @Schema(description = "存在问题")
    private String questionable;

    @Schema(description = "工作建议")
    private String workAdvise;

    @Schema(description = "填报单位")
    private String writeUnit;

    @Schema(description = "联系人")
    private String linkman;

    @Schema(description = "联系电话")
    private String phone;


}
