package org.springblade.modules.project.pojo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:28
 **/

@Data
@TableName("d_project_plan_progress")
@EqualsAndHashCode(callSuper = true)
@Schema(description = "项目投资与计划完成情况表")
public class ProjectPlanProgress extends BaseEntity {

    @Schema(description = "项目id")
    private Long projectId;

    @Schema(description = "项目投资与计划表id")
    private Long investPlanId;

    @Schema(description = "计划年份")
    private Integer planYear;

    @Schema(description = "计划季度")
    private Integer planQuarter;

    @Schema(description = "计划月份")
    private Integer planMonth;

    @Schema(description = "投资完成")
    private BigDecimal investMoney;

    @Schema(description = "累计投资完成")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private BigDecimal investMoneyAll;

    @Schema(description = "工作进展情况")
    private String workProgress;

    @Schema(description = "累计进展情况")
    private String workProgressAll;

    @Schema(description = "进度百分比")
    private BigDecimal planRatio;

    @Schema(description = "填充字段数")
    private Integer fillField;
}
