package org.springblade.modules.project.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:28
 **/

@Data
@TableName("d_project_warning")
@EqualsAndHashCode(callSuper = true)
@Schema(description = "项目预警表")
public class ProjectWarning extends BaseEntity {

    @Schema(description = "1投资预警2建设预警")
    private Integer warningType;

    @Schema(description = "1季度1级")
    private BigDecimal oneOne;

    @Schema(description = "1季度2级")
    private BigDecimal oneTwo;

    @Schema(description = "1季度3级")
    private BigDecimal oneThree;

    @Schema(description = "2季度1级")
    private BigDecimal twoOne;

    @Schema(description = "2季度2级")
    private BigDecimal twoTwo;

    @Schema(description = "2季度3级")
    private BigDecimal twoThree;

    @Schema(description = "2季度1级累计")
    private BigDecimal twoOneAll;

    @Schema(description = "2季度2级累计")
    private BigDecimal twoTwoAll;

    @Schema(description = "2季度3级累计")
    private BigDecimal twoThreeAll;

    @Schema(description = "3季度1级")
    private BigDecimal threeOne;

    @Schema(description = "3季度2级")
    private BigDecimal threeTwo;

    @Schema(description = "3季度3级")
    private BigDecimal threeThree;

    @Schema(description = "3季度1级累计")
    private BigDecimal threeOneAll;

    @Schema(description = "3季度2级累计")
    private BigDecimal threeTwoAll;

    @Schema(description = "3季度3级累计")
    private BigDecimal threeThreeAll;

    @Schema(description = "4季度1级")
    private BigDecimal fourOne;

    @Schema(description = "4季度2级")
    private BigDecimal fourTwo;

    @Schema(description = "4季度3级")
    private BigDecimal fourThree;

    @Schema(description = "4季度1级累计")
    private BigDecimal fourOneAll;

    @Schema(description = "4季度2级累计")
    private BigDecimal fourTwoAll;

    @Schema(description = "4季度3级累计")
    private BigDecimal fourThreeAll;

}
