package org.springblade.modules.project.pojo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:28
 **/

@Data
@TableName("d_repeal_record")
@EqualsAndHashCode(callSuper = true)
@Schema(description = "撤销记录表")
public class RepealRecord extends BaseEntity {

    @Schema(description = "项目id")
    private Long projectId;

    @Schema(description = "计划年份")
    private Integer planYear;

    @Schema(description = "计划季度")
    private Integer planQuarter;

    @Schema(description = "类型1投资2计划")
    private Integer planType;

    @Schema(description = "撤销开始时间")
    private LocalDate startDate;

    @Schema(description = "撤销结束时间")
    private LocalDate endDate;

}
