/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.project.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 附件表 实体类
 *
 * @author BladeX
 * @since 2024-04-09
 */
@Data
@TableName("d_work_focus")
@Schema(description = "WorkFocus对象")
@EqualsAndHashCode(callSuper = true)
public class WorkFocusEntity extends TenantEntity {

	/**
	 * 工作要点阶段
	 */
	@Schema(description = "工作要点阶段")
	private Integer workFocusStage;
	/**
	 * 目标任务
	 */
	@Schema(description = "目标任务")
	private String targetPlan;
	/**
	 * 开始年份
	 */
	@Schema(description = "开始年份")
	private Integer startYear;
	/**
	 * 结束年份
	 */
	@Schema(description = "结束年份")
	private Integer endYear;
	/**
	 * 工作任务
	 */
	@Schema(description = "工作任务")
	private String workPlan;
	/**
	 * 责任单位
	 */
	@Schema(description = "责任单位")
	private String dutyUnit;

}
