/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.project.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 工作要点完成情况表 实体类
 *
 * @author BladeX
 * @since 2024-04-09
 */
@Data
@TableName("d_work_focus_progress")
@Schema(description = "WorkFocusProgress对象")
@EqualsAndHashCode(callSuper = true)
public class WorkFocusProgressEntity extends TenantEntity {

	/**
	 * 工作要点id
	 */
	@Schema(description = "工作要点id")
	private Long workFocusId;
	/**
	 * 年份
	 */
	@Schema(description = "年份")
	private Integer year;
	/**
	 * 月份
	 */
	@Schema(description = "月份")
	private Integer month;
	/**
	 * 进度情况
	 */
	@Schema(description = "进度情况")
	private String schedule;
	/**
	 * 累计进度
	 */
	@Schema(description = "累计进度")
	private String progress;
	/**
	 * 序号
	 */
	@Schema(description = "序号")
	private Integer sort;

	/**
	 * 累计进度
	 */
	@Schema(description = "存在问题")
	private String problemInfo;

	/**
	 * 累计进度
	 */
	@Schema(description = "工作建议")
	private String workSug;

	/**
	 * 累计进度
	 */
	@Schema(description = "填报单位")
	private String unitInfo;

	/**
	 * 累计进度
	 */
	@Schema(description = "联系人及联系方式")
	private String linkInfo;

}
