package org.springblade.modules.project.pojo.excel;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Param   项目导入Excel，手动解析
 * @Author wangwl
 * @Date 2024/4/29 14:21
 **/
@Data
public class ProjectImportExcel {
    /* 项目计划 */
    @Schema(description = "项目名称")
    private String name;

    @Schema(description = "建设规模")
    private String buildScale;

    @Schema(description = "建设规模单位1公里2空")
    private Integer buildScaleUnit;

    @Schema(description = "总投资")
    private BigDecimal allInvestMoney;

    @Schema(description = "项目阶段")
    private Integer projectStage;

    @Schema(description = "项目类型")
    private Integer projectType;

    @Schema(description = "开工年")
    private Integer startYear;

    @Schema(description = "完工年")
    private Integer endYear;

    @Schema(description = "责任单位")
    private String dutyUnit;

    @Schema(description = "是否重点项目")
    private Integer isFocusProject;

    @Schema(description = "是否试点任务")
    private Integer isPilotPlan;

    /* 年计划 */
    @Schema(description = "计划年份")
    private Integer planYear;

    @Schema(description = "全年投资")
    private BigDecimal yearlyInvest;

    @Schema(description = "是否有计划")
    private Integer isPlan;

    @Schema(description = "是否填写计划")
    private Integer isFillPlan;

    @Schema(description = "一季度投资")
    private BigDecimal oneInvest;

    @Schema(description = "二季度投资")
    private BigDecimal twoInvest;

    @Schema(description = "三季度投资")
    private BigDecimal threeInvest;

    @Schema(description = "四季度投资")
    private BigDecimal fourInvest;

    @Schema(description = "全年目标")
    private String yearlyTarget;

    @Schema(description = "一季度计划")
    private String onePlan;

    @Schema(description = "二季度计划")
    private String twoPlan;

    @Schema(description = "三季度计划")
    private String threePlan;

    @Schema(description = "四季度计划")
    private String fourPlan;

    @Schema(description = "计划月份")
    private Integer planMonth;

    @Schema(description = "投资完成")
    private BigDecimal investMoney;

    @Schema(description = "工作进展情况")
    private String workProgress;

    @Schema(description = "累计进展情况")
    private String workProgressAll;

    @Schema(description = "进度百分比")
    private BigDecimal planRatio;

    @Schema(description = "存在问题")
    private String questionable;

    @Schema(description = "工作建议")
    private String workAdvise;

    @Schema(description = "联系人")
    private String linkman;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "是否已经存在，1存在0不存在")
    private Boolean isExist;

    @Schema(description = "项目id")
    private Long projectId;

    @Schema(description = "是否有完成计划")
    private Boolean hasFinished;
}
