/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.project.pojo.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 附件表 Excel实体类
 *
 * @author BladeX
 * @since 2024-04-09
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class WorkFocusExcel2 implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 目标任务
	 */
	@ColumnWidth(20)
	@ExcelProperty("序号")
	private String dataNo;

	/**
	 * 目标任务
	 */
	@ColumnWidth(20)
	@ExcelProperty("目标任务")
	private String targetPlan;

	/**
	 * 工作要点阶段
	 */
	@ColumnWidth(20)
	@ExcelProperty("工作内容")
	private String workPlan;

	/**
	 * 结束年份
	 */
	@ColumnWidth(20)
	@ExcelProperty("开始年份")
	private String startYear;


	/**
	 * 结束年份
	 */
	@ColumnWidth(20)
	@ExcelProperty("结束年份")
	private String endYear;


	/**
	 * 责任单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("责任单位")
	private String dutyUnit;

	/**
	 * 责任单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("累计进展情况")
	private String progress;


	/**
	 * 责任单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("存在问题")
	private String problemInfo;

	/**
	 * 责任单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("工作建议")
	private String workSug;

	/**
	 * 责任单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("填报人")
	private String unitInfo;

	/**
	 * 责任单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系方式")
	private String linkInfo;

}
