package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/10 17:44
 **/
@Data
@Schema(description = "数据看板-投资统计返回视图")
public class DataInvestStatVO {

    @Schema(description = "一季度已完成")
    private BigDecimal oneFinished;

    @Schema(description = "一季度未完成")
    private BigDecimal oneUnFinished;

    @Schema(description = "二季度已完成")
    private BigDecimal twoFinished;

    @Schema(description = "二季度未完成")
    private BigDecimal twoUnFinished;

    @Schema(description = "三季度已完成")
    private BigDecimal threeFinished;

    @Schema(description = "三季度未完成")
    private BigDecimal threeUnFinished;

    @Schema(description = "四季度已完成")
    private BigDecimal fourFinished;

    @Schema(description = "四季度未完成")
    private BigDecimal fourUnFinished;

    @Schema(description = "投资数据表单")
    private List<InvestInfo> list;

    @Data
    public static class InvestInfo{
        @Schema(description = "项目阶段名称")
        private String projectStageName;

        @Schema(description = "项目类型名称")
        private String projectTypeName;

        @Schema(description = "计划总投资")
        private BigDecimal planAllMoney;

        @Schema(description = "实际已投资")
        private BigDecimal currentMoney;

        @Schema(description = "未完成投资")
        private BigDecimal unFinishedMoney;

        @Schema(description = "投资走势")
        private Map<String,List<BigDecimal>> map;

    }


}
