package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/10 17:44
 **/
@Data
@Schema(description = "数据看板-投资统计计算用VO")
public class DataInvestStatVO2 {

    @Schema(description = "项目id")
    private Long id;

    @Schema(description = "项目阶段名称")
    private String projectStageName;

    @Schema(description = "项目类型名称")
    private String projectTypeName;

    @Schema(description = "一季度已完成")
    private BigDecimal oneFinished;

    @Schema(description = "一季度未完成")
    private BigDecimal oneUnFinished;

    @Schema(description = "二季度已完成")
    private BigDecimal twoFinished;

    @Schema(description = "二季度未完成")
    private BigDecimal twoUnFinished;

    @Schema(description = "三季度已完成")
    private BigDecimal threeFinished;

    @Schema(description = "三季度未完成")
    private BigDecimal threeUnFinished;

    @Schema(description = "四季度已完成")
    private BigDecimal fourFinished;

    @Schema(description = "四季度未完成")
    private BigDecimal fourUnFinished;

    @Schema(description = "项目进度类型")
    private Integer scheduleType;

    @Schema(description = "项目阶段")
    private Integer projectStage;

    @Schema(description = "项目类型")
    private Integer projectType;

    @Schema(description = "计划总投资")
    private BigDecimal planAllMoney;

    @Schema(description = "实际完成投资")
    private BigDecimal currentMoney;

    @Schema(description = "未完成投资")
    private BigDecimal unFinishedMoney;

}
