package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/10 17:44
 **/
@Data
@Schema(description = "数据看板-进度统计返回视图")
public class DataScheduleStatVO {

    @Schema(description = "一季度已完成")
    private Integer oneFinished;

    @Schema(description = "一季度未完成")
    private Integer oneUnFinished;

    @Schema(description = "二季度已完成")
    private Integer twoFinished;

    @Schema(description = "二季度未完成")
    private Integer twoUnFinished;

    @Schema(description = "三季度已完成")
    private Integer threeFinished;

    @Schema(description = "三季度未完成")
    private Integer threeUnFinished;

    @Schema(description = "四季度已完成")
    private Integer fourFinished;

    @Schema(description = "四季度未完成")
    private Integer fourUnFinished;

    @Schema(description = "投资数据表单")
    private List<ScheduleInfo> list;

    @Data
    public static class ScheduleInfo{
        @Schema(description = "项目阶段名称")
        private String projectStageName;

        @Schema(description = "项目类型名称")
        private String projectTypeName;

        @Schema(description = "项目数")
        private Integer projectTotal;

        @Schema(description = "已经完成项目数")
        private Integer finishedTotal;

        @Schema(description = "未完成项目数")
        private Integer unFinishedTotal;
    }
}
