package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.project.pojo.entity.ProjectInfo;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:45
 **/
@Data
@Schema(description = "项目分页")
@EqualsAndHashCode(callSuper = true)
public class ProjectInfoVO extends ProjectInfo {

    @Schema(description = "项目阶段名称")
    private String projectStageName;

    @Schema(description = "项目类型名称")
    private String projectTypeName;

    @Schema(description = "建设规模名称")
    private String buildScaleName;

    @Schema(description = "是否重点项目名称")
    private String isFocusProjectName;

    @Schema(description = "是否试点任务名称")
    private String isPilotPlanName;

    @Schema(description = "完成投资金额")
    private BigDecimal finishedInvestMoney;

    @Schema(description = "项目进展")
    private BigDecimal Progress;

    @Schema(description = "项目进展比例")
    private BigDecimal progressRatio;

    @Schema(description = "完成情况填写")
    private BigDecimal finishedFill;

    @Schema(description = "完成情况填写比例")
    private BigDecimal finishedFillRatio;

    @Schema(description = "项目已经设置计划的年个数")
    private Integer hasPlanYearTotal;

}
