package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;
import org.springblade.modules.project.pojo.entity.ProjectPlanProgress;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:45
 **/
@Data
@Schema(description = "每月详情")
@EqualsAndHashCode(callSuper = true)
public class ProjectPlanProgressVO extends ProjectPlanProgress {

    @Schema(description = "计划季度名称")
    private String planQuarterName;

    @Schema(description = "计划月份名称")
    private String planMonthName;

    @Schema(description = "计划完成投资")
    private BigDecimal PlanInvestMoney;

    @Schema(description = "投资未完成额")
    private BigDecimal investUnfinishedMoney;

    @Schema(description = "工作计划")
    private String workPlan;

    @Schema(description = "全年目标")
    private String yearlyTarget;


}
