package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Param   报告-各板块完成情况
 * @Author wangwl
 * @Date 2024/8/5 15:40
 **/
@Data
public class ReportVO2 {

    @Schema(description = "季度")
    private Integer quarter;

    @Schema(description = "季度完成投资亿元")
    private BigDecimal quarterFinishedInvest;

    @Schema(description = "季度完成率")
    private BigDecimal quarterFinishedRatio;

    @Schema(description = "季度累计完成投资亿元")
    private BigDecimal quarterAddFinishedInvest;

    @Schema(description = "季度累计占全年计划")
    private BigDecimal quarterAddRatioYearPlan;

    @Schema(description = "多少个项目投资进度超前")
    private Integer advanceProjectTotal;

    @Schema(description = "超前项目分别是")
    private String advanceProject;

    @Schema(description = "多少个项目投资进度滞后")
    private Integer lagProjectTotal;

    @Schema(description = "滞后项目分别是")
    private String lagProject;

    public ReportVO2() {
        this.quarterFinishedInvest = BigDecimal.ZERO;
        this.quarterFinishedRatio = BigDecimal.ZERO;
        this.quarterAddFinishedInvest = BigDecimal.ZERO;
        this.quarterAddRatioYearPlan = BigDecimal.ZERO;
        this.advanceProjectTotal = 0;
        this.advanceProject = "";
        this.lagProjectTotal = 0;
        this.lagProject = "";
    }

}
