/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.project.pojo.entity.WorkFocusEntity;

import java.io.Serial;
import java.util.List;

/**
 * 工作重点 数据视图
 *
 * @author BladeX
 * @since 2024-04-09
 */
@Data
public class WorkFocusDataInfoVO {
	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 方面个数
	 */
	@Schema(description = "方面个数")
	private Integer stagesCount;

	/**
	 * 任务个数
	 */
	@Schema(description = "任务个数")
	private Integer taskCount;

	/**
	 * 截止时间
	 */
	@Schema(description = "截止时间")
	private String lastDate;

	/**
	 * 数据集合
	 */
	@Schema(description = "数据集合")
	private List<WorkFocusProgressDataInfoVO> tabList;

}
