/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springblade.modules.project.pojo.entity.WorkFocusEntity;

import java.io.Serial;
import java.util.List;

/**
 * 附件表 视图实体类
 *
 * @author BladeX
 * @since 2024-04-09
 */
@Data
public class WorkFocusProgressDataInfoVO {
	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 项目阶段
	 */
	@Schema(description = "项目阶段")
	private String workFocusStageName;

	/**
	 * 目标任务
	 */
	@Schema(description = "目标任务")
	private String targetPlan;


	/**
	 * 工作内容
	 */
	@Schema(description = "工作内容")
	private String workPlan;

	/**
	 * 责任单位
	 */
	@Schema(description = "责任单位")
	private String dutyUnit;


	/**
	 * 一月
	 */
	@Schema(description = "一月")
	private String month1;

	/**
	 * 二月
	 */
	@Schema(description = "二月")
	private String month2;

	/**
	 * 三月
	 */
	@Schema(description = "三月")
	private String month3;

	/**
	 * 四月
	 */
	@Schema(description = "四月")
	private String month4;

	/**
	 * 五月
	 */
	@Schema(description = "五月")
	private String month5;

	/**
	 * 六月
	 */
	@Schema(description = "六月")
	private String month6;

	/**
	 * 七月
	 */
	@Schema(description = "七月")
	private String month7;

	/**
	 * 八月
	 */
	@Schema(description = "八月")
	private String month8;

	/**
	 * 九月
	 */
	@Schema(description = "九月")
	private String month9;

	/**
	 * 十月
	 */
	@Schema(description = "十月")
	private String month10;

	/**
	 * 十一月
	 */
	@Schema(description = "十一月")
	private String month11;

	/**
	 * 十二月
	 */
	@Schema(description = "十二月")
	private String month12;
}
