/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.modules.project.pojo.entity.WorkFocusEntity;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;

/**
 * 附件表 视图实体类
 *
 * @author BladeX
 * @since 2024-04-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WorkFocusVO extends WorkFocusEntity {
	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 工作要点阶段名称
	 */
	@Schema(description = "工作要点阶段名称")
	private String workFocusStageName;

	/**
	 * 填报率
	 */
	@Schema(description = "填报率")
	private Integer comRate;


	/**
	 * 年
	 */
	@Schema(description = "年")
	private Integer year;

	/**
	 * 年
	 */
	@Schema(description = "季度")
	private Integer quarter;

}
