package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/11 17:38
 **/
@Data
public class pageWarningVO {

    @Schema(description = "项目id")
    private Long projectId;

    @Schema(description = "项目名称")
    private String projectName;

    @Schema(description = "异常类型1投资预警2建设预警")
    private Integer warningType;

    @Schema(description = "异常类型名称")
    private String warningTypeName;

    @Schema(description = "计划年份")
    private Integer planYear;

    @Schema(description = "季度")
    private Integer quarter;

    @Schema(description = "季度名称")
    private String quarterName;

    @Schema(description = "异常时间")
    private LocalDate warningDate;

    @Schema(description = "异常等级")
    private Integer warningGrade;

    @Schema(description = "异常等级名称")
    private String warningGradeName;

    @Schema(description = "是否撤销：是/否")
    private String isRepeal;

    @Schema(description = "撤销开始日期")
    private LocalDate repealStartDate;

    @Schema(description = "撤销结束日期")
    private LocalDate repealEndDate;


    public pageWarningVO() {
    }

    public pageWarningVO(Long projectId, String projectName, Integer warningType, String warningTypeName, Integer quarter, String quarterName, LocalDate warningDate, Integer warningGrade, String warningGradeName) {
        this.projectId = projectId;
        this.projectName = projectName;
        this.warningType = warningType;
        this.warningTypeName = warningTypeName;
        this.quarter = quarter;
        this.quarterName = quarterName;
        this.warningDate = warningDate;
        this.warningGrade = warningGrade;
        this.warningGradeName = warningGradeName;
        this.isRepeal = "否";
    }
}
