/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.project.wrapper;

import org.springblade.common.cache.DictCache;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.project.pojo.entity.WorkFocusEntity;
import org.springblade.modules.project.pojo.vo.WorkFocusVO;
import java.util.Objects;

/**
 * 附件表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-09
 */
public class WorkFocusWrapper extends BaseEntityWrapper<WorkFocusEntity, WorkFocusVO>  {

	public static WorkFocusWrapper build() {
		return new WorkFocusWrapper();
 	}

	@Override
	public WorkFocusVO entityVO(WorkFocusEntity workfocus) {
		WorkFocusVO workfocusVO = Objects.requireNonNull(BeanUtil.copyProperties(workfocus, WorkFocusVO.class));

		//User createUser = UserCache.getUser(workfocus.getCreateUser());
		//User updateUser = UserCache.getUser(workfocus.getUpdateUser());
		//workfocusVO.setCreateUserName(createUser.getName());
		//workfocusVO.setUpdateUserName(updateUser.getName());

		//String value = DictCache.getValue("workFocusStage", workfocus.getWorkFocusStage());
	//	workfocusVO.setWorkFocusStageName(value);
		return workfocusVO;
	}


}
